# Get user's two-factor authentication settings

Gets user's two-factor authentication settings.
 

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: GET /projects/{project_id}/users/{user_id}/mfa
Version: v1
Security: Server

## Path parameters:

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

  - `project_id` (string, required)
    Login project ID from Publisher Account.

## Response 200 fields (application/json):

  - `change_restricted` (boolean)
    Whether the type of two-factor authentication change is restricted for the user.

  - `enabled` (boolean)
    Whether two-factor authentication is enabled for the user.

  - `mfa_type` (string)
    Type of two-factor authentication. Can be email or sms.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


